recent_pages macro that displays a list of recently updated Wiki pages
Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 6.1.0

Resolution:

Description

The attached patch adds a new Wiki macro {{recent_pages}} that displays a list of recently updated Wiki pages.

The macro displays a list of pages that have been updated within 7 days by default. The range of pages to be displayed can be
changed with the days and limit options. And you can add information when the page is updated with the “time" option.

{{recent_pages}} —-- displays pages updated within the past 7 days

{{recent_pages (days=3)}} —-- displays pages updated within the past 3 days

{{recent_pages (limit=5)}} -- limits the maximum number of pages to display to 5

{{recent_pages (time=true)}} —-- displays pages updated within the past 5 days with updated time

{{recent_pages}} macro in a Wiki page:
clipboard-202304291432-g51x6.png

Rendered {{recent_pages}} macro:
clipboard-202304291432-5woil.png

One of the useful uses - recently updated pages in Wiki sidebar:
clipboard-202304291435-cfox1.png

History

#1 - 2023-04-29 07:44 - Go MAEDA

- Description updated

#2 - 2023-12-28 03:45 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#3 - 2024-11-03 07:27 - Go MAEDA

- Target version changed from 6.0.0 to 6.1.0

The help page also needs to be updated.
